\version "2.18.2"
\paper {
  #(set-paper-size "letter" 'portrait)
}
\include "../../Boilerplate/typesetting_functions.ly"
\include "../../Boilerplate/tree.ly"
#(set-global-staff-size 18)

\include "../tone1/chant1.ly"
\include "chant6.ly"
\include "Tone6_C.ly"
\include "Tone6_A.ly"
\include "Tone6_T.ly"
\include "Tone6_B.ly"

fourPart =
#(define-music-function
     (parser location movement)
     (string?)
   #{
  \Quartet #movement "/superius" "/altus" "/tenor" "/bassus"
#}
) 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Actual staff system starts here
\bookpart {
  \header {
    title = "Magnificat"
    composer = "Nicolas Gombert (c. 1495 - c. 1560)"
    subtitle = "Sexti et Primi Toni"
    tagline = "" %stop automatic tag at end
  }
%%%				%Subsections of the piece
  \score {
    \keepWithTag #'ori
    \transpose c c, \chantMovt "magnificat/toneVI/magnificat"
    \layout {
      \layoutTwo
    }
    \header {piece = "Sextus Tonus"}
  }
  \score {
    \keepWithTag #'ori
    \transpose c c, \chantMovt "magnificat/toneI/magnificat"
    \layout {
      \layoutTwo
    }
    \header {piece = "Primus Tonus"}
  }
  \score {
    \header {piece = "Et Exultavit"}
    \keepWithTag #'mod
    \fourPart "gombert/magnificat/toneVI/etEx"
    \layout {\layoutOne}
    \midi {\tempo 2 = 50}
  }
  \score {
    \keepWithTag #'ori
    \transpose c c, \chantMovt "magnificat/toneVI/quiaRespexit"
    \layout {
      \layoutTwo
    }
    \header {piece = "Sextus Tonus"}
  }
  \score {
    \keepWithTag #'ori
    \transpose c c, \chantMovt "magnificat/toneI/quiaRespexit"
    \layout {
      \layoutTwo
    }
    \header {piece = "Primus Tonus"}
  }
  \score {
    \header {piece = "Quia Fecit"}
    \keepWithTag #'mod
    \fourPart "gombert/magnificat/toneVI/quFe"
    \layout {\layoutOne}
    \midi {\tempo 2 = 50}
  }
  \score {
    \keepWithTag #'ori
    \transpose c c, \chantMovt "magnificat/toneVI/etMisericordia"
    \layout {
      \layoutTwo
    }
    \header {piece = "Sextus Tonus"}
  }
  \score {
    \keepWithTag #'ori
    \transpose c c, \chantMovt "magnificat/toneI/etMisericordia"
    \layout {
      \layoutTwo
    }
    \header {piece = "Primus Tonus"}
  }
  \score {
    \header {piece = "Fecit potentiam"}
    \keepWithTag #'mod
    \fourPart "gombert/magnificat/toneVI/fePo"
    \layout {\layoutOne}
    \midi {\tempo 2 = 50}
  }
  \score {
    \keepWithTag #'ori
    \transpose c c, \chantMovt "magnificat/toneVI/deposuit"
    \layout {
      \layoutTwo
    }
    \header {piece = "Sextus Tonus"}
  }
  \score {
    \keepWithTag #'ori
    \transpose c c, \chantMovt "magnificat/toneI/deposuit"
    \layout {
      \layoutTwo
    }
    \header {piece = "Primus Tonus"}
  }
  \score {
    \header {piece = "Esurientes"}
    \keepWithTag #'mod
    \Trio "gombert/magnificat/toneVI/esur" "/altus" "/tenor"
    "/bassus"
    \layout {\layoutOne}
    \midi {\tempo 2 = 50}
  }
  \score {
    \keepWithTag #'ori
    \transpose c c, \chantMovt "magnificat/toneVI/suscepit"
    \layout {
      \layoutTwo
    }
    \header {piece = "Sextus Tonus"}
  }
  \score {
    \keepWithTag #'ori
    \transpose c c, \chantMovt "magnificat/toneI/suscepit"
    \layout {
      \layoutTwo
    }
    \header {piece = "Primus Tonus"}
  }
  \score {
    \header {piece = "Sicut Locutus"}
    \keepWithTag #'mod
    \Quartet "gombert/magnificat/toneVI/siLo" "/altus" "/tenor"
    "/bassusII" "/bassus"
    \layout {\layoutOne}
    \midi {\tempo 2 = 50}
  }
  \score {
    \keepWithTag #'ori
    \transpose c c, \chantMovt "magnificat/toneVI/gloriaPatri"
    \layout {
      \layoutTwo
    }
    \header {piece = "Sextus Tonus"}
  }
  \score {
    \keepWithTag #'ori
    \transpose c c, \chantMovt "magnificat/toneI/gloriaPatri"
    \layout {
      \layoutTwo
    }
    \header {piece = "Primus Tonus"}
  }
  \score {
    \header {piece = "Sicut erat"}
    \keepWithTag #'mod
    \Quintet "gombert/magnificat/toneVI/siEr" "/superius" "/altus"
    "/tenor" "/bassusII" "/bassus"
    \layout {\layoutOne}
    \midi {\tempo 2 = 50}
  }
}
